Altrata
Integrate your application with the Altrata wealth and professional intelligence API
🚀 Quickstart
Connect to Altrata with Tenklo and see data flow in 2 minutes.
In Tenklo (free signup), go to Integrations -> Configure New Integration -> Altrata.
Go to Connections -> Add Test Connection -> Authorize, then enter your Service Hostname, API Key, Username, and Password. Later, you'll let your users do the same directly from your app.
Let's make your first request to the Altrata Events API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:
curl -X POST "https://api.tenklo.dev/proxy/v1/graphql" \
-H "Authorization: Bearer <NANGO-API-KEY>" \
-H "Provider-Config-Key: <INTEGRATION-ID>" \
-H "Connection-Id: <CONNECTION-ID>" \
-H "Content-Type: application/json" \
-d '{
"query": "query { events(altrataId: \"1-per-11111111\", filterType: ANNOUNCEMENTS, sortType: EVENT_DATE) { __typename ... on EventsResponse { events { eventId eventText eventPublishedDate startRoleTitle endRoleTitle } } } }"
}'The service hostname is set when you create the connection — see the connect guide for the full list of Altrata service URLs.
Or fetch credentials with the Node SDK or API.
✅ You're connected! Check the Logs tab in Tenklo to inspect requests.
Follow our Auth implementation guide to integrate Tenklo in your app.
To obtain your own credentials, follow the connect guide linked below.
📚 Altrata integration guides
Tenklo maintained guides for common use cases.
- How do I link my Altrata account?
Retrieve your API Key, Username, and Password from Altrata and connect to Tenklo
Official docs: Altrata API docs
🧩 Pre-built syncs & actions for Altrata
Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.
No pre-built syncs or actions available yet.